/* This program provides a simple 5-function calculator.

   ===> OTHER DOCUMENTATION HERE
 
   Input:  a char, stored in operation;
           two reals, stored in op1 and op2;
   Output: the result of the expression (op1 operation op2).
--------------------------------------------------------------*/

#include <iostream>         // cin, cout, <<, >>
#include <string>           // string
#include <cassert>          // assert()
#include <cmath>            // pow()
using namespace std;

char getMenuChoice(const string MENU);
double apply(char operation, double op1, double op2);

int main()
{
  //*** ENTER YOUR OPENING OUTPUT STATEMENT(S) HERE

  const string MENU = "\nPlease enter:\n"
                      "\ta - to perform addition;\n"
                      "\tb - to perform subtraction;\n"
                      "\tc - to perform multiplication;\n"
                      "\td - to perform division;\n"
                      "\te - to perform exponentiation;\n"
    "--> ";

  char operation = getMenuChoice(MENU);

  double op1, op2, result;
  cout << "Now enter your operands: ";
  cin >> op1 >> op2;
  assert(cin.good());

  result = apply(operation, op1, op2);
    
  cout << "The result is " << result << endl;
}

char getMenuChoice(const string MENU)
{ 
  char choice;
  cout << MENU;
  cin >> choice;
  return choice;
}

double apply(char operation, double op1, double op2)
{
  //*** Add the remaining cases to this switch
  //*** Note:  Use pow() in case 'e' to calculate powers
  //*** Also, the default case is to handle illegal operators
  //*** as described in the lab exercise.
  switch (operation)
    { 
      case 'a' :
        return op1 + op2;


    }
} 
